CREATE TABLE CRST_FND_LOCATION
(
  LOCATION_ID                NUMBER(15),
  LOCATION_CODE              VARCHAR2(60),
  BUSINESS_GROUP_ID          NUMBER(15),
  DESCRIPTION                VARCHAR2(240),
  SHIP_TO_LOCATION_ID        NUMBER(15),
  SHIP_TO_SITE_FLAG          VARCHAR2(30),
  RECEIVING_SITE_FLAG        VARCHAR2(30),
  BILL_TO_SITE_FLAG          VARCHAR2(30),
  IN_ORGANIZATION_FLAG       VARCHAR2(30),
  OFFICE_SITE_FLAG           VARCHAR2(30),
  DESIGNATED_RECEIVER_ID     NUMBER(15),
  INVENTORY_ORGANIZATION_ID  NUMBER(15),
  TAX_NAME                   VARCHAR2(15),
  INACTIVE_DATE              DATE,
  STYLE                      VARCHAR2(7),
  ADDRESS_LINE_1             VARCHAR2(240),
  ADDRESS_LINE_2             VARCHAR2(240),
  ADDRESS_LINE_3             VARCHAR2(240),
  TOWN_OR_CITY               VARCHAR2(30),
  COUNTRY                    VARCHAR2(60),
  POSTAL_CODE                VARCHAR2(30),
  REGION_1                   VARCHAR2(120),
  REGION_2                   VARCHAR2(120),
  REGION_3                   VARCHAR2(120),
  TELEPHONE_NUMBER_1         VARCHAR2(60),
  TELEPHONE_NUMBER_2         VARCHAR2(60),
  TELEPHONE_NUMBER_3         VARCHAR2(60),
  LOC_INFORMATION13          VARCHAR2(150),
  LOC_INFORMATION14          VARCHAR2(150),
  LOC_INFORMATION15          VARCHAR2(150),
  LOC_INFORMATION16          VARCHAR2(150),
  LOC_INFORMATION17          VARCHAR2(150),
  ATTRIBUTE_CATEGORY         VARCHAR2(30),
  ATTRIBUTE1                 VARCHAR2(150),
  ATTRIBUTE2                 VARCHAR2(150),
  ATTRIBUTE3                 VARCHAR2(150),
  ATTRIBUTE4                 VARCHAR2(150),
  ATTRIBUTE5                 VARCHAR2(150),
  ATTRIBUTE6                 VARCHAR2(150),
  ATTRIBUTE7                 VARCHAR2(150),
  ATTRIBUTE8                 VARCHAR2(150),
  ATTRIBUTE9                 VARCHAR2(150),
  ATTRIBUTE10                VARCHAR2(150),
  ATTRIBUTE11                VARCHAR2(150),
  ATTRIBUTE12                VARCHAR2(150),
  ATTRIBUTE13                VARCHAR2(150),
  ATTRIBUTE14                VARCHAR2(150),
  ATTRIBUTE15                VARCHAR2(150),
  ATTRIBUTE16                VARCHAR2(150),
  ATTRIBUTE17                VARCHAR2(150),
  ATTRIBUTE18                VARCHAR2(150),
  ATTRIBUTE19                VARCHAR2(150),
  ATTRIBUTE20                VARCHAR2(150),
  GLOBAL_ATTRIBUTE_CATEGORY  VARCHAR2(150),
  GLOBAL_ATTRIBUTE1          VARCHAR2(150),
  GLOBAL_ATTRIBUTE2          VARCHAR2(150),
  GLOBAL_ATTRIBUTE3          VARCHAR2(150),
  GLOBAL_ATTRIBUTE4          VARCHAR2(150),
  GLOBAL_ATTRIBUTE5          VARCHAR2(150),
  GLOBAL_ATTRIBUTE6          VARCHAR2(150),
  GLOBAL_ATTRIBUTE7          VARCHAR2(150),
  GLOBAL_ATTRIBUTE8          VARCHAR2(150),
  GLOBAL_ATTRIBUTE9          VARCHAR2(150),
  GLOBAL_ATTRIBUTE10         VARCHAR2(150),
  GLOBAL_ATTRIBUTE11         VARCHAR2(150),
  GLOBAL_ATTRIBUTE12         VARCHAR2(150),
  GLOBAL_ATTRIBUTE13         VARCHAR2(150),
  GLOBAL_ATTRIBUTE14         VARCHAR2(150),
  GLOBAL_ATTRIBUTE15         VARCHAR2(150),
  GLOBAL_ATTRIBUTE16         VARCHAR2(150),
  GLOBAL_ATTRIBUTE17         VARCHAR2(150),
  GLOBAL_ATTRIBUTE18         VARCHAR2(150),
  GLOBAL_ATTRIBUTE19         VARCHAR2(150),
  GLOBAL_ATTRIBUTE20         VARCHAR2(150),
  LAST_UPDATE_DATE           DATE,
  LAST_UPDATED_BY            NUMBER(15),
  LAST_UPDATE_LOGIN          NUMBER(15),
  CREATED_BY                 NUMBER(15),
  CREATION_DATE              DATE,
  ENTERED_BY                 NUMBER(15),
  TP_HEADER_ID               NUMBER,
  ECE_TP_LOCATION_CODE       VARCHAR2(35),
  OBJECT_VERSION_NUMBER      NUMBER(9),
--  GEOMETRY                   MDSYS.SDO_GEOMETRY,
  LOC_INFORMATION18          VARCHAR2(150),
  LOC_INFORMATION19          VARCHAR2(150),
  LOC_INFORMATION20          VARCHAR2(150),
  DERIVED_LOCALE             VARCHAR2(240),
  DUMMY                      CHAR(1),
  LAST_UPDATED_BY_NAME       VARCHAR2(100),
  CREATED_BY_NAME            VARCHAR2(100),
  ENTERED_BY_NAME            VARCHAR2(100),
  BUSINESS_GROUP_NAME        VARCHAR2(100),
  INVENTORY_ORG_NAME         VARCHAR2(240)
);
